/**********************************************************************/
/*                                                                    */
/* Copyright (c) 2001 by Sun Microsystems, Inc.                       */
/* All rights reserved.                                               */
/*                                                                    */
/**********************************************************************/

//
// File: PFBuySample.java
//
// This sample program accesses the UniKix system at www.unikix.com:2002
// and run the share-buying transaction. 
//
// This program is intended to demonstrate how to call a 3270 Pathway
// generated bean.
//
// Run as follows:
//
// java PFBuySample
//

import unikix.clientapis.emulator.KixEmulator;
import java.awt.*;

public class PFBuySample
{
    public static void main(String[] args)
    {
	PFBuyBean pfbb = new PFBuyBean();

	//
	// Uncomment this block of code if you wish to see the
	// emulator.
	//
	/*
	    KixEmulator ke = pfbb.getKixEmulator();
	    Frame f = new Frame()
	    {
		public void update(Graphics g)
		{
		    paint(g);
		}
	    };
	    f.add(BorderLayout.CENTER,ke);
	    f.pack();
	    f.setVisible(true);
	*/

	//
	// Set up the input parameters
	//
	pfbb.setUserID("fred");
	pfbb.setCompany("comp1");
	pfbb.setNumShares("1");

	//
	// Buy the shares
	//
	pfbb.performWork();

	//
	// Display the cost
	//
	System.out.println("Bought Shares. Cost was "+ pfbb.getCost());
    }
}
